Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class EmptyTokenStream

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.miscellaneous.EmptyTokenStream

    public class EmptyTokenStream

extends TokenStream

An always exhausted token stream.

Constructor Summary
`EmptyTokenStream()`

Method Summary
`Token` | `next(Token reusableToken)`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyTokenStream

    public EmptyTokenStream()

Method Detail

### next

    public Token next(Token reusableToken)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.